Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1066428 - [RFE] sequential builds
Summary: [RFE] sequential builds
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Copr
Classification: Community
Component: frontend
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-18 11:44 UTC by Richard Hughes
Modified: 2016-02-08 14:24 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-06 12:50:34 UTC


Attachments (Terms of Use)

Description Richard Hughes 2014-02-18 11:44:23 UTC
Description of problem:

I often need to do something like this for copr repos:

koji wait-repo f21-build --build gsettings-desktop-schemas-3.11.90-1.fc21

This way my script can wait for the new build to appear in the buildroot before I fire off other builds that depend on the new one. Thanks!

Comment 1 Igor Gnatenko 2014-02-18 12:05:26 UTC
When we send "a.src.rpm b.src.rpm" to build we can add check-button "Wait builds" and if it activated we will build coherent instead of parallel.

I will take a look tonight

Comment 2 Igor Gnatenko 2014-02-18 12:44:51 UTC
backend/mockremote.py:362:    def build(self, pkg):
backend/mockremote.py:565:    def build_pkgs(self, pkgs=None):

modify for passing more than on pkg


coprs_frontend/coprs/templates/coprs/detail/_builds_forms.html:21:        <dd><input type="submit" value="Build"></dd>

add checkbox "Sequential build"


And in one place where parsing args for tasks I think. (can't fint yet)

Comment 3 Miroslav Suchý 2014-02-22 19:55:22 UTC
Richard, you can use copr-cli, It waits till the build finish (unless you specify --nowait) and you have API where you can get status of task. Is this sufficient for you?

Comment 4 Miroslav Suchý 2014-06-06 12:50:34 UTC
Closing due inactivity. If #3 does not fit you, please reopen with more comments.


Note You need to log in before you can comment on or make changes to this bug.